#
# spec file for package perl-Test-Inter
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Test-Inter
Name:           perl-Test-Inter
Version:        1.10
Release:        1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Framework for more readable interactive test scripts
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SB/SBECK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This is another framework for writing test scripts. Much of the syntax is
loosely inspired by Test::More, and Test::Inter has most of it's
functionality, but it is not a drop-in replacement.

Test::More (and other existing test frameworks) suffer from two weaknesses,
both of which have prevented me from ever using them:

   None offer the ability to access specific tests in
   a reasonably interactive fashion, primarily for
   debugging purposes

   None offer the ability to write the tests in
   whatever format would make the tests the most
   readable

The way I write and use test scripts, existing Test::* modules are not
nearly as useful as they could be.

%prep
%autosetup  -n %{cpan_name}-%{version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples README
%license LICENSE

%changelog
* Wed Mar  8 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.10
  see /usr/share/doc/packages/perl-Test-Inter/Changes
  1.10  2023-03-07
  - A number of modules were included as test dependencies that are only used
    by the author when preparing releases.  These have been removed as
    dependencies.  Petr Pisar on GitHub #3
  - Added github tags for all releases.  Tomasz Kloczko on GitHub #4
  - Fixed a bug where feature wasn't working correctly.
* Fri Mar 15 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.09
  see /usr/share/doc/packages/perl-Test-Inter/Changes
  1.09  2019-04-13
  - Added test directory to directories added in the use_lib method automatically.
  - Added functionality to the testdir method
* Wed Mar 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.08
  see /usr/share/doc/packages/perl-Test-Inter/Changes
  1.08  2019-03-12
  - Minor improvement to a test.
  - Added the use_lib method.
  - Some improvements to the POD documentation.
* Fri Mar 16 2018 coolo@suse.com
- updated to 1.07
  see /usr/share/doc/packages/perl-Test-Inter/Changes
  1.07  2018-03-15
  - Some improvements to the POD documentation.
  - Some changes to get better test coverage.
  - Better handling of empty structures (i.e [] and {}).
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Test-Inter/Changes
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.05
  The __nl__ substitution wasn't happening.
  Fixed the Build.PL/Makefile.PL scripts to not install the example scripts.  RT 84091
* Fri Nov 18 2011 coolo@suse.com
- update to 1.03
  Added 'width' method.
  Updated some tests which did not run correctly with perl 5.015
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 20 2010 chris@computersalat.de
- initial package 1.01
  * created by cpanspec 1.78
